Bug 4419 - Username priveleges equivalent to ROOT PROBLEM
Username priveleges equivalent to ROOT PROBLEM
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-07 12:56 EDT by walterh1
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-20 12:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description walterh1 1999-08-07 12:56:56 EDT
First reported to Edgar in Calif. a couple of days ago.
I tried setting my user name password priveleges to be
equivalent to SU or ROOT.  It seemed to take but after about
two days approx up time I tried logging in as my specific
username, at the G U interface login screen ... It seemed to
want to take but reverted back to the same login screen and
after consistantly trying with my own login password I
couldn't login with the GU login screen always coming back
up.  Trying other usernames, I had no problems get into the
machine and trying ROOT no problem.  Switching into console
mode and logging into the machine with my username no
problem.  With Edgar's help we found that the system
wouldn't let me log in as USER and my priveleges set up
equivalent to ROOT (SU)..  THEREFORE changed all my username
priveleges back to non granted status; I am able to login as
user.

Please return all comments to:

walterh1@home.com


You people have done an excellent job with Red Hat Linux
keep up the good fight!

Walter Haiworonsky

Reformed and more the wise user.
Comment 1 Michael K. Johnson 1999-09-20 12:06:59 EDT
I don't know who Edgar is, so I can't ask him for details...

By default, we do not make linuxconf setuid root, and in that
configuration, the priviledges have no effect.

If that's not what you were doing, I'm sorry, but I can't
quite follow what you are saying.  I don't know what you
mean by the "G U interface login screen", for example.
If you are sure there is a bug here, you can re-open the
bug, but please include more explicit instructions on how
to recreate it (step by step) so that we understand what
you are trying to do and can better answer...

Note You need to log in before you can comment on or make changes to this bug.